"use strict";

const either = require("@validatem/either");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	const isPossiblyRemoteField = require("./is-possibly-remote-field")(operations);
	
	return either([
		isObjectType("alias"),
		isPossiblyRemoteField, // FIXME: Think about whether we actually want to permit remote fields here, without an alias.
	]);
};
